Name:		qvge
Version:	0.6.3
Release:    1%{?dist}
License:	MIT and LGPLv3 and BSD
Summary:	Graph editor
URL:		https://arsmasiuk.github.io/qvge/
Source0:	https://github.com/ArsMasiuk/qvge/archive/refs/tags/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-0.patch
BuildRequires:	make
BuildRequires:	gcc-c++
BuildRequires:	desktop-file-utils
BuildRequires:	libappstream-glib
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5Svg)
Provides:	bundled(qprocessinfo)
Provides:	bundled(qsint) = 0.4.0
Provides:	bundled(qtpropertybrowser) = 2.7
Requires:	shared-mime-info


%description
Multiplatform graph editor written in C++/Qt.
Its main goal is to make possible visually edit two-dimensional graphs in a
simple and intuitive way.


%prep
%autosetup -p0


%build
pushd src
%{qmake_qt5} PREFIX=%{_prefix}
%{make_build}
popd


%install
pushd src
%{make_install} INSTALL_ROOT=%{buildroot}
popd
mv src/3rdParty/qtpropertybrowser/LICENSE src/3rdParty/qprocessinfo/LICENSE.qtpropertybrowser
mv src/3rdParty/qprocessinfo/LICENSE src/3rdParty/qprocessinfo/LICENSE.qprocessinfo
mv src/3rdParty/qsint-widgets/README.txt src/3rdParty/qsint-widgets/README.qsint


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml


%files
%license LICENSE src/3rdParty/qprocessinfo/LICENSE.qtpropertybrowser src/3rdParty/qprocessinfo/LICENSE.qprocessinfo src/3rdParty/qsint-widgets/README.qsint
%doc README.md
%{_bindir}/qvgeapp
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/*.xml
%{_datadir}/pixmaps/%{name}.png


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.3-1
- initial build
